librevenge::PresentationSVG::Table Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::PresentationSVG::Table Struct Reference

basic class used to store table information More...

## Public Member Functions
| Table (const RVNGPropertyList &propList)
| constructor More...
void | openRow (const RVNGPropertyList &propList)
| calls to open a row More...
void | closeRow ()
| call to close a row More...
bool | getPosition (int column, int row, double &x, double &y) const
| returns the position of a cellule More...

## Public Attributes
int | m_column
| the actual column More...
int | m_row
| the actual row More...
double | m_x
| the origin table position in inches More...
double | m_y
std::vector< double > | m_columnsDistanceFromOrigin
| the distance of each begin column in inches from origin More...
std::vector< double > | m_rowsDistanceFromOrigin
| the distance of each begin row in inches from origin More...

## Detailed Description

basic class used to store table information

## Constructor & Destructor Documentation

librevenge::PresentationSVG::Table::Table | ( | const RVNGPropertyList & | propList | ) |
| inline

constructor

## Member Function Documentation

void librevenge::PresentationSVG::Table::closeRow | ( |  | ) |
| inline

call to close a row

bool librevenge::PresentationSVG::Table::getPosition | ( | int | column,
|  | int | row,
|  | double & | x,
|  | double & | y
| ) |  | const
| inline

returns the position of a cellule

void librevenge::PresentationSVG::Table::openRow | ( | const RVNGPropertyList & | propList | ) |
| inline

calls to open a row

## Member Data Documentation

int librevenge::PresentationSVG::Table::m_column

the actual column

std::vector<double> librevenge::PresentationSVG::Table::m_columnsDistanceFromOrigin

the distance of each begin column in inches from origin

Referenced by getPosition(), and Table().

int librevenge::PresentationSVG::Table::m_row

the actual row

Referenced by closeRow().

std::vector<double> librevenge::PresentationSVG::Table::m_rowsDistanceFromOrigin

the distance of each begin row in inches from origin

Referenced by getPosition(), openRow(), and Table().

double librevenge::PresentationSVG::Table::m_x

the origin table position in inches

Referenced by getPosition(), and Table().

double librevenge::PresentationSVG::Table::m_y

Referenced by getPosition(), and Table().

The documentation for this struct was generated from the following file:

- RVNGSVGPresentationGenerator.cpp